Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000983bareos-core[All Projects] storage daemonpublic2018-07-12 13:272018-09-14 15:13
Reporterfranku 
Assigned Tofranku 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version17.2.6 
Target Version17.2.7Fixed in Version 
Summary0000983: SD crashes sometimes with statistics collection on
DescriptionSD stops working and can only be recovered by a restart. The coredump will show a reference to sourcecode sd_stats:297.
Steps To ReproduceStatistics collection has to be switched on.
Additional InformationCoredump of bareos-sd (17.2.6):

#0 0x00007ffa31d7c3bf in waitpid () from /lib64/libpthread.so.0
0000001 0x00007ffa32e1e931 in signal_handler (sig=11) at signal.c:240
0000002 <signal handler called>
0000003 0x000000000041893b in name (this=<optimized out>) at ../lib/parse_conf.h:340
0000004 update_job_statistics (jcr=0x657bf8, now=1531128606) at sd_stats.c:297
0000005 0x0000000000418f23 in statistics_thread_runner (arg=<optimized out>) at sd_stats.c:386
0000006 0x00007ffa32e0da23 in lmgr_thread_launcher (x=0x7ffa28000bc8) at lockmgr.c:928
0000007 0x00007ffa31d74806 in start_thread () from /lib64/libpthread.so.0
0000008 0x00007ffa30d269bd in clone () from /lib64/libc.so.6
0000009 0x0000000000000000 in ?? ()
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impact
bareos-16.2: actionnone
bareos-15.2: impact
bareos-15.2: actionnone
bareos-14.2: impact
bareos-14.2: actionnone
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone
Attached Files

- Relationships
has duplicate 0001006resolvedjoergs Storage daemon segfaults in update_job_statistics when starting scheduled jobs 
child of 0000966closedjoergs Release bareos-17.2.7 

-  Notes
(0003066)
franku (developer)
2018-07-12 14:40

Fix committed to bareos bareos-17.2 branch with changesetid 8939.

- Related Changesets
bareos: bareos-17.2 1ad6542f
Timestamp: 2018-07-12 12:59:25
Author: franku
Ported: N/A
Details ] Diff ]
stored: avoid nullptr dereference

- jcr->dcr->device could have been used uninitialized

Fixes 0000983: SD crashes sometimes with statistics collection on
mod - src/stored/sd_stats.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-12 13:27 franku New Issue
2018-07-12 13:27 franku Status new => assigned
2018-07-12 13:27 franku Assigned To => franku
2018-07-12 14:40 franku Changeset attached => bareos bareos-17.2 1ad6542f
2018-07-12 14:40 franku Note Added: 0003066
2018-07-12 14:40 franku Status assigned => resolved
2018-07-12 14:40 franku Resolution open => fixed
2018-07-13 10:45 joergs Relationship added child of 0000966
2018-07-16 19:08 joergs bareos-17.2: impact => yes
2018-07-16 19:08 joergs bareos-17.2: action => fixed
2018-07-16 19:08 joergs bareos-16.2: action => none
2018-07-16 19:08 joergs bareos-15.2: action => none
2018-07-16 19:08 joergs bareos-14.2: action => none
2018-07-16 19:08 joergs bareos-13.2: action => none
2018-07-16 19:08 joergs bareos-12.4: action => none
2018-07-16 19:08 joergs Status resolved => closed
2018-09-14 15:13 joergs Relationship added has duplicate 0001006


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker